# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl test.pl'

######################### We start with some black magic to print on failure.

# Change 1..1 below to 1..last_test_to_print .
# (It may become useful if the test is moved to ./t subdirectory.)

BEGIN { $| = 1; print "1..7\n"; }
END {print "not ok 1\n" unless $loaded;}
use TimeSeries;
$loaded = 1;
print "ok 1\n";

######################### End of black magic.

# Insert your test code below (better if it prints "ok 13"
# (correspondingly "not ok 13") depending on the success of chunk 13
# of the test code):

my $test;
$test = 2;
my $ts = TimeSeries->new();
if (defined($ts)) {
    print "ok $test\n";
} else {
    print "not ok $test\n";
}

$ts->legend("value");
$ts->add(1.000E9, 5);
$ts->add(1.001E9, 9);
$ts->add(1.002E9, 3);

$test = 3;
my $g = $ts->plot();
# print STDERR "length \$g = ", length($g), "\n";
if (length($g) > 0 && substr($g, 0, 4) eq "\211PNG") {
    print "ok $test\n";
} else {
    print "not ok $test\n";
}

$test = 4;
$ts->output_format("gif");
$g = $ts->plot();
# print STDERR "length \$g = ", length($g), "\n";
if (length($g) > 0 && substr($g, 0, 6) eq "GIF87a") {
    print "ok $test\n";
} else {
    print "not ok $test\n";
}

$test = 5;
$ts->output_format("jpeg");
$g = $ts->plot();
# print STDERR "length \$g = ", length($g), "\n";
if (length($g) > 0 && substr($g, 0, 10) eq "\377\330\377\340\000\020JFIF") {
    print "ok $test\n";
} else {
    print "not ok $test\n";
}

$test = 6;
$ts->output_format("ps");
$g = $ts->plot();
# print STDERR "length \$g = ", length($g), "\n";
if (length($g) > 0 && substr($g, 0, 2) eq "%!") {
    print "ok $test\n";
} else {
    print "not ok $test\n";
}

$test = 7;
$ts->legend_position("below");
$g = $ts->plot();
# print STDERR "length \$g = ", length($g), "\n";
if (length($g) > 0 && substr($g, 0, 2) eq "%!") {
    print "ok $test\n";
} else {
    print "not ok $test\n";
}

